**DATA CLEANING**

*If people answered man or woman in gender other, this was recoded into the gender variable. The other or prefer not to say were coded as missing due to low expected frequencies. (coding not listed in do file)** 

*A new ethnicity variable was created with three categories (coding not listed in do file)*

*prefer not to say/other coded as missing for education and SEG (coding not listed in do file)**


**Convert GHQ-12 scoring to 0-0-1-1**
replace ghq1 = 0 if ghq1 == 1 |ghq1 == 2
replace ghq1 = 1 if ghq1 == 3 |ghq1 == 4

replace ghq2 = 0 if ghq2 == 1 |ghq2 == 2
replace ghq2 = 1 if ghq2 == 3 |ghq2 == 4

replace ghq3 = 0 if ghq3 == 1 |ghq3 == 2
replace ghq3 = 1 if ghq3 == 3 |ghq3 == 4

replace ghq4 = 0 if ghq4 == 1 |ghq4 == 2
replace ghq4 = 1 if ghq4 == 3 |ghq4 == 4

replace ghq5 = 0 if ghq5 == 1 |ghq5 == 2
replace ghq5 = 1 if ghq5 == 3 |ghq5 == 4

replace ghq6 = 0 if ghq6 == 1 |ghq6 == 2
replace ghq6 = 1 if ghq6 == 3 |ghq6 == 4

replace ghq7 = 0 if ghq7 == 1 |ghq7 == 2
replace ghq7 = 1 if ghq7 == 3 |ghq7 == 4

replace ghq8 = 0 if ghq8 == 1 |ghq8 == 2
replace ghq8 = 1 if ghq8 == 3 |ghq8 == 4

replace ghq9 = 0 if ghq9 == 1 |ghq9 == 2
replace ghq9 = 1 if ghq9 == 3 |ghq9 == 4

replace ghq10 = 0 if ghq10 == 1 |ghq10 == 2
replace ghq10 = 1 if ghq10 == 3 |ghq10 == 4

replace ghq11 = 0 if ghq11 == 1 |ghq11 == 2
replace ghq11 = 1 if ghq11 == 3 |ghq11 == 4


replace ghq12 = 0 if ghq12 == 1 |ghq12 == 2
replace ghq12 = 1 if ghq12 == 3 |ghq12 == 4

*Create GHQ total variable**

egen ghq12_total = rowtotal (ghq1 ghq2 ghq3 ghq4 ghq5 ghq6 ghq7 ghq8 ghq9 ghq10 ghq11 ghq12)

sum ghq12_total


*Create GHQ cut off variable**

gen ghq12_cutoff = .

replace ghq12_cutoff = 1 if ghq12_total ==4
replace ghq12_cutoff = 1 if ghq12_total >4
replace ghq12_cutoff = 0 if ghq12_total <4

**Chi squared test for difference in cut off**

tab ghq12_cutoff GROUP, chi2

**ANOVA for differences in total**
oneway ghq12_total GROUP

**Post hoc test not needed**
pwmean ghq12_total, over(GROUP) mcompare(dunnett) effect

*Demographic differences between groups**
tab GENDER GROUP, chi
tab AGE_BAND GROUP, chi
tab ethnicity_new GROUP, chi
tab EDUCATION GROUP, chi
tab IMD_QUARTILE GROUP, chi
tab REGION GROUP, chi
tab SEG GROUP, chi

